# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Mon May 15 19:51:49 2023
# ------------------------------------------------

package:
  name: phyx
  version: '1.1'
source:
  sha256: 2a676cc4c86a1edcf85fddd1961edb9f7e41cf41c2e6eac0371192777947cbc2
  url: https://github.com/FePhyFoFum/phyx/archive/1.1.tar.gz
build:
  number: '4'
  string: h377b3bb_4
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - autoconf 2.71 pl5321h2b4cb7a_1
    - automake 1.16.5 pl5321ha770c72_0
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2023.5.7 hbcca054_0
    - cmake 3.26.3 h077f3f9_0
    - expat 2.5.0 hcb278e6_1
    - gcc_impl_linux-64 12.2.0 hcc96c02_19
    - gcc_linux-64 12.2.0 h4798a0e_13
    - gxx_impl_linux-64 12.2.0 hcc96c02_19
    - gxx_linux-64 12.2.0 hb41e900_13
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.20.1 h81ceb04_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libcurl 8.0.1 h588be90_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 12.2.0 h3b97bd3_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnghttp2 1.52.0 h61bc06f_0
    - libnsl 2.0.0 h7f98852_0
    - libsanitizer 12.2.0 h46fd767_19
    - libssh2 1.10.0 hf14f497_3
    - libstdcxx-devel_linux-64 12.2.0 h3b97bd3_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libtool 2.4.7 h27087fc_0
    - libuv 1.44.2 h166bdaf_0
    - libzlib 1.2.13 h166bdaf_4
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 hd590300_3
    - perl 5.32.1 2_h7f98852_perl5
    - rhash 1.4.3 h166bdaf_0
    - sysroot_linux-64 2.12 he073ed8_15
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h3eb15da_6
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - armadillo 12.2.0 hcb9c4df_0
    - arpack 3.7.0 hdefa2d7_2
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2023.5.7 hbcca054_0
    - intel-openmp 2022.1.0 h9e868ea_3769
    - lapack 3.9.0 netlib
    - ld_impl_linux-64 2.40 h41732ed_0
    - libblas 3.9.0 16_linux64_mkl
    - libcblas 3.9.0 16_linux64_mkl
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgfortran-ng 12.2.0 h69a702a_19
    - libgfortran5 12.2.0 h337968e_19
    - libgomp 12.2.0 h65d4601_19
    - liblapack 3.9.0 16_linux64_mkl
    - libnsl 2.0.0 h7f98852_0
    - libopenblas 0.3.23 pthreads_h80387f5_0
    - libsqlite 3.41.2 h2797004_1
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libtool 2.4.7 h27087fc_0
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 h166bdaf_4
    - mkl 2022.1.0 hc2b9512_224
    - ncurses 6.3 h27087fc_1
    - nlopt 2.7.1 py311he53e775_3
    - numpy 1.24.3 py311h64a7726_0
    - openblas 0.3.23 pthreads_h855a84d_0
    - openssl 3.1.0 hd590300_3
    - pip 23.1.2 pyhd8ed1ab_0
    - python 3.11.3 h2755cc3_0_cpython
    - python_abi 3.11 3_cp311
    - readline 8.2 h8228510_1
    - setuptools 67.7.2 pyhd8ed1ab_0
    - superlu 5.2.2 h00795ac_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2023c h71feb2d_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
  run:
    - armadillo >=12.2,<13.0a0
    - lapack
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - nlopt >=2.7.1,<2.8.0a0
    - openblas
test:
  commands:
    - pxaa2cdn -h
    - pxbdfit -h
    - pxbdsim -h
    - pxboot -h
    - pxbp -h
    - pxcat -h
    - pxclsq -h
    - pxconsq -h
    - pxcontrates -h
    - pxfqfilt -h
    - pxlog -h
    - pxlssq -h
    - pxlstr -h
    - pxmrca -h
    - pxmrcacut -h
    - pxmrcaname -h
    - pxnj -h
    - pxnw -h
    - pxrecode -h
    - pxrevcomp -h
    - pxrls -h
    - pxrlt -h
    - pxrms -h
    - pxrmt -h
    - pxrr -h
    - pxs2fa -h
    - pxs2nex -h
    - pxs2phy -h
    - pxseqgen -h
    - pxstrec -h
    - pxsw -h
    - pxt2new -h
    - pxtlate -h
    - pxtscale -h
    - pxupgma -h
    - pxvcf2fa -h
about:
  home: https://github.com/FePhyFoFum/phyx
  license: GPL3
  license_file: LICENSE
  summary: Phylogenetics tools for linux (and other mostly posix compliant) computers
extra:
  copy_test_source_files: true
  final: true
